package cn.iocoder.yudao.module.basic.api.redis.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName BusinessInfoDTO
 * @Description TODO
 * @Author q5932
 * @Date 2023/4/27 20:19
 * @Version 1.0
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusinessInfoDTO {
    /**
     * 编码
     */
    @ApiModelProperty(value = "主键id")
    private Long id;
    /**
     * 商户名称
     */
    @ApiModelProperty(value = "商户名称")
    private String businessName;
    /**
     * 企业名称
     */
    @ApiModelProperty(value = "企业名称")
    private String companiesName;
    /**
     * 商户code
     */
    @ApiModelProperty(value = "商户编码")
    private String businessId;
    /**
     * 所属行政区,例如福建省/福州市/鼓楼区
     */
    @ApiModelProperty(value = "所属行政区")
    private String area;
    /**
     * 商户统一信用代码
     */
    @ApiModelProperty(value = "商户统一信用代码")
    private String businessCode;
    /**
     * 法人姓名
     */
    @ApiModelProperty(value = "法人姓名")
    private String legalName;
    /**
     * 法人身份证
     */
    @ApiModelProperty(value = "法人身份证")
    private String legalIdCard;
    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remarks;
    /**
     * 认证状态
     *
     */
    @ApiModelProperty(value = "认证状态")
    private Byte verifyState;

    @ApiModelProperty(value = "租户ID")
    private Long tenantId;
}
