package cn.iocoder.yudao.module.basic.api.dealergoods;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.basic.api.dealergoods.dto.DealerGoodsRespDTO;
import cn.iocoder.yudao.module.basic.convert.dealergoods.DealerGoodsConvert;
import cn.iocoder.yudao.module.basic.convert.dealerinfo.DealerInfoConvert;
import cn.iocoder.yudao.module.basic.service.dealergoods.DealerGoodsService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static cn.iocoder.yudao.module.system.enums.ApiConstants.VERSION;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
@Validated
public class DealerGoodsApiImpl implements DealerGoodsApi{

    @Resource
    private DealerGoodsService dealerGoodsService;

    @Override
    public CommonResult<List<DealerGoodsRespDTO>> getSaleAreasByGoodsAndDealer(String goodsId, String dealerId) {
        return CommonResult.success(DealerGoodsConvert.INSTANCE.convertToDTOList(dealerGoodsService.getSaleAreasByGoodsAndDealer(dealerId,goodsId)));

    }
}
