package cn.iocoder.yudao.module.basic.api.dealerinfo;

import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.basic.api.dealerinfo.dto.DealerInfoRespDTO;
import cn.iocoder.yudao.module.basic.convert.dealerinfo.DealerInfoConvert;
import cn.iocoder.yudao.module.basic.dal.mysql.dealerinfo.DealerInfoMapper;
import cn.iocoder.yudao.module.basic.service.dealerinfo.DealerInfoService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static cn.iocoder.yudao.module.system.enums.ApiConstants.VERSION;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
@Validated
public class dealerInfoApiImpl implements DealerInfoApi{

    @Resource
    private DealerInfoService dealerInfoService;

    @Override
    public CommonResult<DealerInfoRespDTO> getDealerGoodsInfoByDealerGoodsId(String dealerId) {
        return CommonResult.success(DealerInfoConvert.INSTANCE.convertToDTO(dealerInfoService.getDealerGoodsInfoByDealerGoodsId(dealerId)));
    }

    @Override
    public CommonResult<DealerInfoRespDTO> getDealerInfoByGoods(String dealerId, Long businessInfoId, String goodsId) {
        return CommonResult.success(DealerInfoConvert.INSTANCE.convertToDTO(dealerInfoService.getDealerInfoByGoods(dealerId, businessInfoId, goodsId)));
    }
}
