package cn.iocoder.yudao.module.basic.controller.admin.dealerinfo.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 经销商 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class DealerInfoBaseVO {

    @ApiModelProperty(value = "经销商名称", required = true)
    @NotNull(message = "经销商名称不能为空")
    private String dealerName;

    @ApiModelProperty(value = "经销商编码id")
//    @NotNull(message = "经销商编码id不能为空")
    private String dealerId;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

    @ApiModelProperty(value = "统一信用代码")
    private String businessCode;

    @ApiModelProperty(value = "联系电话")
    private String contactPhone;

    @ApiModelProperty(value = "联系人姓名", required = true)
    @NotNull(message = "联系人姓名不能为空")
    private String contactName;

    @ApiModelProperty(value = "本部经销区域,例如福建省/福州市/鼓楼区")
    private String commonSaleArea;

    @ApiModelProperty(value = "经销区域ID")
    private Long commonSaleAreaId;

    @ApiModelProperty(value = "备注")
    private String remarks;

}
