package cn.iocoder.yudao.module.basic.controller.admin.goodscategory.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 商品分类表。分类的编号为 C 开头，如：C100001 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class GoodsCategoryBaseVO {

    @ApiModelProperty(value = "分类名称,默认值：'", required = true)
    @NotNull(message = "分类名称,默认值：'不能为空")
    private String name;

    @ApiModelProperty(value = "上一级节点ID，默认值：0", required = true)
    @NotNull(message = "上一级节点ID，默认值：0不能为空")
    private Long pid;

    @ApiModelProperty(value = "上级分类id路径是由所有的父节点id组成，使用逗号进行分隔。例如:  1,2，默认值：'", required = true)
    @NotNull(message = "上级分类id路径是由所有的父节点id组成，使用逗号进行分隔。例如:  1,2，默认值：'不能为空")
    private String parentIdPath;

    @ApiModelProperty(value = "1|一级分类; 2|二级分类; 3|三级分类,默认值：1", required = true)
    @NotNull(message = "1|一级分类; 2|二级分类; 3|三级分类,默认值：1不能为空")
    private Byte level;

    @ApiModelProperty(value = "序列，默认值：0", required = true)
    @NotNull(message = "序列，默认值：0不能为空")
    private Byte sequence;

}
