package cn.iocoder.yudao.module.basic.controller.admin.goodscategory.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 商品分类表。分类的编号为 C 开头，如：C100001 Excel VO
 *
 * @author 芋道源码
 */
@Data
public class GoodsCategoryExcelVO {

    @ExcelProperty("id 最多 6 位数值，且从 100001 开始分配。")
    private Long id;

    @ExcelProperty("分类名称,默认值：'")
    private String name;

    @ExcelProperty("上一级节点ID，默认值：0")
    private Long pid;

    @ExcelProperty("上级分类id路径是由所有的父节点id组成，使用逗号进行分隔。例如:  1,2，默认值：'")
    private String parentIdPath;

    @ExcelProperty("1|一级分类; 2|二级分类; 3|三级分类,默认值：1")
    private Byte level;

    @ExcelProperty("序列，默认值：0")
    private Byte sequence;

    @ExcelProperty("创建时间")
    private Date createTime;

}
