package cn.iocoder.yudao.module.basic.controller.admin.goodsinfo.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @ClassName GoodsInfoListReqVO
 * @Description TODO
 * @Author q5932
 * @Date 2023/4/18 14:43
 * @Version 1.0
 **/
@Data
@ToString
public class GoodsInfoListReqVO {

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "商品编码")
    private String goodsId;

    @ApiModelProperty(value = "商品类型")
    private String goodsType;

    @ApiModelProperty(value = "商品类型id")
    private Long goodsTypeId;

    @ApiModelProperty(value = "是否基础单位(kg)")
    private Boolean isBaseUnit;

    @ApiModelProperty(value = "商品单位id, 是基础单位(kg)时 该字段为0")
    private Long goodsUnitId;

    @ApiModelProperty(value = "商品规格, 换算之后写入的数值 如：5kg/袋 (或者kg)")
    private String goodsSpecs;

    @ApiModelProperty(value = "换算值")
    private BigDecimal conversionValue;

    @ApiModelProperty(value = "商品说明")
    private String goodsRemarks;

    @ApiModelProperty(value = "商品图片url，以;分割，最多6张")
    private String goodsImgUrl;

    @ApiModelProperty(value = "保质期天")
    private Integer shelfLife;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;
}
