package cn.iocoder.yudao.module.basic.controller.admin.vendorinfo.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 供应商 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class VendorInfoBaseVO {

    @ApiModelProperty(value = "供应商名称")
    //@NotNull(message = "供应商名称不能为空")
    private String vendorName;

    @ApiModelProperty(value = "供应商ID")
    //@NotNull(message = "供应商ID不能为空")
    private String vendorId;

    @ApiModelProperty(value = "供应商类型 0企业 1个人", required = true)
    @NotNull(message = "供应商类型 0企业 1个人不能为空")
    private Integer vendorType;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "统一信用代码")
    private String businessCode;

    @ApiModelProperty(value = "联系电话")
    private String contactPhone;

    @ApiModelProperty(value = "联系人姓名")
    private String contactName;

    @ApiModelProperty(value = "所属行政区,例如福建省/福州市/鼓楼区")
    private String area;

    @ApiModelProperty(value = "个人类型 姓名")
    private String realName;

    @ApiModelProperty(value = "个人类型 身份证")
    private String  idCard;

}
