package cn.iocoder.yudao.module.basic.dal.dataobject.businessinfo;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 商户 DO
 *
 * @author 芋道源码
 */
@TableName("basic_business_info")
@KeySequence("basic_business_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusinessInfoDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 商户名称
     */
    private String businessName;
    /**
     * 企业名称
     */
    private String companiesName;
    /**
     * 商户code
     */
    private String businessId;
    /**
     * 所属行政区,例如福建省/福州市/鼓楼区
     */
    private String area;
    /**
     * 商户统一信用代码
     */
    private String businessCode;
    /**
     * 法人姓名
     */
    private String legalName;
    /**
     * 法人身份证
     */
    private String legalIdCard;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 认证状态
     *
     */
    private Byte verifyState;

    /**
     * 租户ID
     */
    private Long tenantId;

}
