package cn.iocoder.yudao.module.basic.dal.dataobject.dealerinfo;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 经销商 DO
 *
 * @author 芋道源码
 */
@TableName("basic_dealer_info")
@KeySequence("basic_dealer_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DealerInfoDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 经销商名称
     */
    private String dealerName;
    /**
     * 经销商编码id
     */
    private String dealerId;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;
    /**
     * 统一信用代码
     */
    private String businessCode;
    /**
     * 联系电话
     */
    private String contactPhone;
    /**
     * 联系人姓名
     */
    private String contactName;
    /**
     * 本部经销区域,例如福建省/福州市/鼓楼区
     */
    private String commonSaleArea;
    /**
     * 经销区域ID
     */
    private Long commonSaleAreaId;
    /**
     * 备注
     */
    private String remarks;

}
