package cn.iocoder.yudao.module.basic.dal.dataobject.goodsinfo;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import java.math.BigDecimal;

/**
 * 商品 DO
 *
 * @author 芋道源码
 */
@TableName("basic_goods_info")
@KeySequence("basic_goods_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GoodsInfoDO extends BaseDO {

    /**
     *  编码
     */
    @TableId
    private Long id;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 商品编码
     */
    private String goodsId;
    /**
     * 商品类型
     */
    private String goodsType;
    /**
     * 商品类型id
     */
    private Long goodsTypeId;
    /**
     * 是否基础单位(kg)
     */
    private Boolean isBaseUnit;
    /**
     * 商品单位id, 是基础单位(kg)时 该字段为0
     */
    private Long goodsUnitId;
    /**
     * 商品规格, 换算之后写入的数值 如：5kg/袋 (或者kg)
     */
    private String goodsSpecs;
    /**
     * 换算值
     */
    private BigDecimal conversionValue;
    /**
     * 商品说明
     */
    private String goodsRemarks;
    /**
     * 商品图片url，以;分割，最多6张
     */
    private String goodsImgUrl;
    /**
     * 保质期天
     */
    private Integer shelfLife;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

    /**
     * 单位 为了分页显示
     */
    @TableField(exist = false)
    private String goodsUnitName;

}
