package cn.iocoder.yudao.module.basic.dal.dataobject.workersinfo;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 员工 DO
 *
 * @author 芋道源码
 */
@TableName("basic_workers_info")
@KeySequence("basic_workers_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WorkersInfoDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 员工姓名
     */
    private String workersName;
    /**
     * 员工编码
     */
    private String workersCode;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;
    /**
     * 联系电话
     */
    private String contactPhone;
    /**
     * 备注
     */
    private String remarks;

    /**
     * openid
     */
    private String openid;

}
