package cn.iocoder.yudao.module.chain.controller.admin.blockcertificate.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("管理后台 - 区块证书分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BlockCertificatePageReqVO extends PageParam {

    @ApiModelProperty(value = "上链操作专属ID")
    private String chainOperateId;

    @ApiModelProperty(value = "操作类型 0:批次上链  1:环节上链  2：出入库上链")
    private Integer operateType;

    @ApiModelProperty(value = "操作类型描述")
    private String operateName;

    @ApiModelProperty(value = "批次id")
    private String batchId;

    @ApiModelProperty(value = "环节id")
    private String linkId;

    @ApiModelProperty(value = "环节名称")
    private String linkName;

    @ApiModelProperty(value = "所在链名称")
    private String chainName;

    @ApiModelProperty(value = "所在区块")
    private String chainBlock;

    @ApiModelProperty(value = "成块时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] blockTime;

    @ApiModelProperty(value = "唯一区块编码")
    private String chainBlockIdentity;

    @ApiModelProperty(value = "上链状态 0未上链  1已上链")
    private Integer chainState;

    @ApiModelProperty(value = "链状态  0激活  1冻结")
    private Integer chainStatus;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "上传者身份")
    private String uploadUser;

    @ApiModelProperty(value = "上传者身份证明")
    private String uploadVerify;

    @ApiModelProperty(value = "上传时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] uploadTime;

    @ApiModelProperty(value = "上传地点坐标")
    private String uploadLocation;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

}
