package cn.iocoder.yudao.module.chain.controller.admin.operatedetail.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 区块上链操作具体上链信息 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OperateDetailBaseVO {

    @ApiModelProperty(value = "上链操作专属ID", required = true)
    @NotNull(message = "上链操作专属ID不能为空")
    private String chainOperateId;

    @ApiModelProperty(value = "内容标题", required = true)
    @NotNull(message = "内容标题不能为空")
    private String title;

    @ApiModelProperty(value = "内容类型，详见字典", required = true)
    @NotNull(message = "内容类型，详见字典不能为空")
    private Integer type;

    @ApiModelProperty(value = "详细内容，如图片视频url地址、文本、文件链接等", required = true)
    @NotNull(message = "详细内容，如图片视频url地址、文本、文件链接等不能为空")
    private String content;

    @ApiModelProperty(value = "url链接")
    private String linkText;

    @ApiModelProperty(value = "环节名称or批次类型", required = true)
    @NotNull(message = "环节名称or批次类型不能为空")
    private String operateInfo;

    @ApiModelProperty(value = "是否扫码展示")
    private Boolean scanShow;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty(value = "添加时间")
    private Date addTime;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
