package cn.iocoder.yudao.module.chain.dal.dataobject.operatedetail;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 区块上链操作具体上链信息 DO
 *
 * @author 芋道源码
 */
@TableName("chain_operate_detail")
@KeySequence("chain_operate_detail_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OperateDetailDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 上链操作专属ID
     */
    private String chainOperateId;
    /**
     * 内容标题
     */
    private String title;
    /**
     * 内容类型，详见字典
     */
    private Integer type;
    /**
     * 详细内容，如图片视频url地址、文本、文件链接等
     */
    private String content;
    /**
     * url链接
     */
    private String linkText;
    /**
     * 环节名称or批次类型
     */
    private String operateInfo;
    /**
     * 是否扫码展示
     */
    private Boolean scanShow;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
