package cn.iocoder.yudao.module.chain.service.operatedetail;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.chain.controller.admin.operatedetail.vo.*;
import cn.iocoder.yudao.module.chain.dal.dataobject.operatedetail.OperateDetailDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 区块上链操作具体上链信息 Service 接口
 *
 * @author 芋道源码
 */
public interface OperateDetailService {

    /**
     * 批量创建区块上链操作具体上链信息
     * @param operateDetails
     * @return
     */
    List<Long> createOperateDetailBatch(@Valid List<OperateDetailDO> operateDetails);

    /**
     * 删除区块上链操作具体上链信息
     *
     * @param id 编号
     */
    void deleteOperateDetail(Long id);

    /**
     * 批量删除区块上链操作具体上链信息
     * @param ids 编号集合
     */
    void deleteOperateDetailBatch(List<Long> ids);

    /**
     * 获得区块上链操作具体上链信息
     *
     * @param id 编号
     * @return 区块上链操作具体上链信息
     */
    OperateDetailDO getOperateDetail(Long id);

    /**
     * 获得区块上链操作具体上链信息列表
     *
     * @param ids 编号
     * @return 区块上链操作具体上链信息列表
     */
    List<OperateDetailDO> getOperateDetailList(Collection<Long> ids);

    /**
     * 获得区块上链操作具体上链信息分页
     *
     * @param pageReqVO 分页查询
     * @return 区块上链操作具体上链信息分页
     */
    PageResult<OperateDetailDO> getOperateDetailPage(OperateDetailPageReqVO pageReqVO);

    /**
     * 获得区块上链操作具体上链信息列表, 用于 Excel 导出
     *
     * @param exportReqVO 查询条件
     * @return 区块上链操作具体上链信息列表
     */
    List<OperateDetailDO> getOperateDetailList(OperateDetailExportReqVO exportReqVO);

}
