package cn.iocoder.yudao.module.configure.api.uniTemplate.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


import javax.validation.constraints.NotNull;

@Data
public class UniTemplateCreateDTO {

    @ApiModelProperty(value = "模板id")
    private String templateId;

    @ApiModelProperty(value = "模板名称", required = true)
    @NotNull(message = "模板名称不能为空")
    private String templateName;

    @ApiModelProperty(value = "头部背景图", required = true)
    @NotNull(message = "头部背景图不能为空")
    private String bgPhotoUrl;

    @ApiModelProperty(value = "logo图")
    private String logoPhotoUrl;

    @ApiModelProperty(value = "是否显示logo", required = true)
    @NotNull(message = "是否显示logo不能为空")
    private Boolean showLogo;

    @ApiModelProperty(value = "是否显示经销流转信息", required = true)
    @NotNull(message = "是否显示经销流转信息不能为空")
    private Boolean showFlow;

    @ApiModelProperty(value = "多次验证提示文案", required = true)
    @NotNull(message = "多次验证提示文案不能为空")
    private String verifyHint;

    @ApiModelProperty(value = "多次验证提示阈值设置", required = true)
    @NotNull(message = "多次验证提示阈值设置不能为空")
    private Integer scanMostNum;

    @ApiModelProperty(value = "背景颜色", required = true)
    @NotNull(message = "背景颜色不能为空")
    private String bgColor;

    @ApiModelProperty(value = "超过阈值后背景颜色", required = true)
    @NotNull(message = "超过阈值后背景颜色不能为空")
    private String bgColorThreshold;

    @ApiModelProperty(value = "是否显示扫码记录", required = true)
    @NotNull(message = "是否显示扫码记录不能为空")
    private Boolean showScanRecord;

    @ApiModelProperty(value = "是否为默认模板")
    private Boolean defaultTemplate;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

    @ApiModelProperty(value = "多次验证提示字体颜色", required = true)
    @NotNull(message = "多次验证提示字体颜色不能为空")
    private String fontColor;

    @ApiModelProperty(value = "扫码记录字体颜色", required = true)
    @NotNull(message = "扫码记录字体颜色不能为空")
    private String scanFontColor;

    @ApiModelProperty(value = "是否只显示农事作业", required = true)
    @NotNull(message = "是否只显示农事作业不能为空")
    private Boolean onlyShowJob;
}
