package cn.iocoder.yudao.module.configure.controller.admin.tracelinkitem.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 溯源模板环节item Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class TraceLinkItemBaseVO {

    @ApiModelProperty(value = "内容标题")
    private String title;

    @ApiModelProperty(value = "内容类型，详见字典")
    private Integer type;

    @ApiModelProperty(value = "详细内容，如图片视频url地址、文本、文件链接等")
    private String content;

    @ApiModelProperty(value = "链接地址")
    private String linkText;

    @ApiModelProperty(value = "添加时间")
    private Date addTime;

    @ApiModelProperty(value = "环节名称")
    private String linkName;

    @ApiModelProperty(value = "环节id")
    private String linkId;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
