package cn.iocoder.yudao.module.configure.controller.admin.tracelinkitem.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel(value = "管理后台 - 溯源模板环节item Excel 导出 Request VO", description = "参数和 TraceLinkItemPageReqVO 是一致的")
@Data
public class TraceLinkItemExportReqVO {

    @ApiModelProperty(value = "内容标题")
    private String title;

    @ApiModelProperty(value = "内容类型，详见字典")
    private Integer type;

    @ApiModelProperty(value = "详细内容，如图片视频url地址、文本、文件链接等")
    private String content;

    @ApiModelProperty(value = "添加时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] addTime;

    @ApiModelProperty(value = "环节名称")
    private String linkName;

    @ApiModelProperty(value = "环节id")
    private String linkId;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
