package cn.iocoder.yudao.module.configure.controller.admin.unitemplateitem.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

/**
* 小程序模板环节配置明细 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class UniTemplateItemBaseVO {

    @ApiModelProperty(value = "编号")
    private Long id;

    @ApiModelProperty(value = "图标图片", required = true)
    @NotBlank(message = "图标图片不能为空")
    @Length(max = 256)
    private String iconUrl;

    @ApiModelProperty(value = "x轴百分比(相对图片)", required = true)
    @NotNull(message = "x轴百分比不能为空")
    private BigDecimal x;

    @ApiModelProperty(value = "y轴百分比(相对图片)", required = true)
    @NotNull(message = "y轴百分比不能为空")
    private BigDecimal y;

    @ApiModelProperty(value = "宽", required = true)
    @NotNull(message = "宽不能为空")
    private BigDecimal width;

    @ApiModelProperty(value = "高", required = true)
    @NotNull(message = "高不能为空")
    private BigDecimal height;

}
