package cn.iocoder.yudao.module.configure.dal.dataobject.deviceenvtype;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 小程序设备环境类型配置 DO
 *
 * @author 芋道源码
 */
@TableName("configure_device_env_type")
@KeySequence("configure_device_env_type_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeviceEnvTypeDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 地块/鱼塘/牧场编码
     */
    private String landId;
    /**
     * 传感器对应的环境类型，关联product_env_type表的ID
     */
    private Long envTypeId;

}
