package cn.iocoder.yudao.module.configure.dal.dataobject.inspectionitem;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 检测报告模板检测项目 DO
 *
 * @author 芋道源码
 */
@TableName("configure_inspection_item")
@KeySequence("configure_inspection_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class InspectionItemDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 模板id
     */
    private String templateId;
    /**
     * 模板名称
     */
    private String templateName;
    /**
     * 检测项目
     */
    private String inspectionItem;
    /**
     * 检测项目id
     */
    private String inspectionItemId;
    /**
     * 检测项目单位
     */
    private String inspectionUnit;
    /**
     * 检测项目技术要求
     */
    private String inspectionRequire;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
