package cn.iocoder.yudao.module.configure.dal.dataobject.materialmanagement;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 素材管理 DO
 *
 * @author 芋道源码
 */
@TableName("configure_material_management")
@KeySequence("configure_material_management_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class MaterialManagementDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 分组id
     */
    private Long groupId;
    /**
     * 素材名称
     */
    private String materialName;
    /**
     * 素材地址
     */
    private String materialUrl;

}
