package cn.iocoder.yudao.module.configure.dal.dataobject.tracelinkitem;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 溯源模板环节item DO
 *
 * @author 芋道源码
 */
@TableName("configure_trace_link_item")
@KeySequence("configure_trace_link_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TraceLinkItemDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 内容标题
     */
    private String title;
    /**
     * 内容类型，详见字典
     */
    private Integer type;
    /**
     * 详细内容，如图片视频url地址、文本、文件链接等
     */
    private String content;
    /**
     * 链接地址
     */
    private String linkText;
    /**
     * 添加时间
     */
    private Date addTime;
    /**
     * 环节名称
     */
    private String linkName;
    /**
     * 环节id
     */
    private String linkId;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
