package cn.iocoder.yudao.module.configure.dal.dataobject.unitemplateitem;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.math.BigDecimal;

/**
 * 小程序模板环节配置明细 DO
 *
 * @author 芋道源码
 */
@TableName("configure_uni_template_item")
@KeySequence("configure_uni_template_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UniTemplateItemDO extends BaseDO {

    /**
     * 编号
     */
    @TableId
    private Long id;
    /**
     * 模板id
     */
    private String templateId;
    /**
     * 图标图片
     */
    private String iconUrl;
    /**
     * x轴百分比(相对图片)
     */
    private BigDecimal x;
    /**
     * y轴百分比(相对图片)
     */
    private BigDecimal y;
    /**
     * 宽
     */
    private BigDecimal width;
    /**
     * 高
     */
    private BigDecimal height;

}
