package cn.iocoder.yudao.module.configure.service.materialgroup;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.configure.controller.admin.materialgroup.vo.*;
import cn.iocoder.yudao.module.configure.dal.dataobject.materialgroup.MaterialGroupDO;
import cn.iocoder.yudao.framework.common.pojo.PageResult;

/**
 * 素材管理分组 Service 接口
 *
 * @author 芋道源码
 */
public interface MaterialGroupService {

    /**
     * 创建素材管理分组
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createMaterialGroup(@Valid MaterialGroupCreateReqVO createReqVO);

    /**
     * 更新素材管理分组
     *
     * @param updateReqVO 更新信息
     */
    void updateMaterialGroup(@Valid MaterialGroupUpdateReqVO updateReqVO);

    /**
     * 删除素材管理分组
     *
     * @param id 编号
     */
    void deleteMaterialGroup(Long id);

    /**
     * 获得素材管理分组
     *
     * @param id 编号
     * @return 素材管理分组
     */
    MaterialGroupDO getMaterialGroup(Long id);

    /**
     * 获得素材管理分组列表
     *
     * @param ids 编号
     * @return 素材管理分组列表
     */
    List<MaterialGroupDO> getMaterialGroupListByids(Collection<Long> ids);

    /**
     * 获得素材管理分组分页
     *
     * @param pageReqVO 分页查询
     * @return 素材管理分组分页
     */
    PageResult<MaterialGroupDO> getMaterialGroupPage(MaterialGroupPageReqVO pageReqVO);

    /**
     * 获得素材管理分组列表
     *
     * @param pageReqVO 查询
     * @return 素材管理分组列表
     */
    List<MaterialGroupDO> getMaterialGroupList(MaterialGroupPageReqVO pageReqVO);

}
