package cn.iocoder.yudao.module.identity.controller.admin.diversionrecord.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 疑似窜货记录 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class DiversionRecordBaseVO {

    @ApiModelProperty(value = "经销商编码", required = true)
    @NotNull(message = "经销商编码不能为空")
    private String dealerId;

    @ApiModelProperty(value = "经销商名称", required = true)
    @NotNull(message = "经销商名称不能为空")
    private String dealerName;

    @ApiModelProperty(value = "批次id", required = true)
    @NotNull(message = "批次id不能为空")
    private String batchId;

    @ApiModelProperty(value = "商品id", required = true)
    @NotNull(message = "商品id不能为空")
    private String goodsId;

    @ApiModelProperty(value = "商品名称", required = true)
    @NotNull(message = "商品名称不能为空")
    private String goodsName;

    @ApiModelProperty(value = "扫码地点", required = true)
    @NotNull(message = "扫码地点不能为空")
    private String scanLocation;

    @ApiModelProperty(value = "扫码时间", required = true)
    @NotNull(message = "扫码时间不能为空")
    private Date scanTime;

    @ApiModelProperty(value = "是否窜货 0：疑似 1：是  2：不是", required = true)
    @NotNull(message = "是否窜货 0：疑似 1：是  2：不是不能为空")
    private Integer diversionState;

    @ApiModelProperty(value = "窜货等级")
    private Integer diversionLevel;

    @ApiModelProperty(value = "状态 0：未处理  1：已处理", required = true)
    @NotNull(message = "状态 0：未处理  1：已处理不能为空")
    private Integer status;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "所属商户id", required = true)
    @NotNull(message = "所属商户id不能为空")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称", required = true)
    @NotNull(message = "所属商户名称不能为空")
    private String belongBusinessName;

}
