package cn.iocoder.yudao.module.identity.controller.admin.diversionrecord.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;

@ApiModel(value = "管理后台 - 疑似窜货记录 Excel 导出 Request VO", description = "参数和 DiversionRecordPageReqVO 是一致的")
@Data
public class DiversionRecordExportReqVO {

    @ApiModelProperty(value = "经销商编码")
    private String dealerId;

    @ApiModelProperty(value = "经销商名称")
    private String dealerName;

    @ApiModelProperty(value = "批次id")
    private String batchId;

    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "扫码地点")
    private String scanLocation;

    @ApiModelProperty(value = "扫码时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] scanTime;

    @ApiModelProperty(value = "是否窜货 0：疑似 1：是  2：不是")
    private Integer diversionState;

    @ApiModelProperty(value = "窜货等级")
    private Integer diversionLevel;

    @ApiModelProperty(value = "状态 0：未处理  1：已处理")
    private Integer status;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
