package cn.iocoder.yudao.module.identity.controller.admin.diversionrecord.vo;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import io.swagger.models.auth.In;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

@ApiModel("管理后台 - 疑似窜货记录分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DiversionRecordPageReqVO extends PageParam {

    @ApiModelProperty(value = "经销商编码")
    private String dealerId;

    @ApiModelProperty(value = "经销商名称")
    private String dealerName;

    @ApiModelProperty(value = "批次id")
    private String batchId;

    @ApiModelProperty(value = "商品id")
    private String goodsId;

    @ApiModelProperty(value = "商品名称")
    private String goodsName;

    @ApiModelProperty(value = "扫码地点")
    private String scanLocation;

    @ApiModelProperty(value = "扫码时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] scanTime;

    @ApiModelProperty(value = "是否窜货 0：疑似 1：是  2：不是")
    private Integer diversionState;

    @ApiModelProperty(value = "窜货等级")
    private Integer diversionLevel;

    @ApiModelProperty(value = "状态 0：未处理  1：已处理")
    private Integer status;

    @ApiModelProperty(value = "备注")
    private String remarks;

    @ApiModelProperty(value = "所属商户id")
    private Long belongBusinessId;

    @ApiModelProperty(value = "所属商户名称")
    private String belongBusinessName;

    @ApiModelProperty(value = "创建时间")
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date[] createTime;

}
