package cn.iocoder.yudao.module.identity.controller.admin.generaterecord.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 标识码生成记录创建 Request VO")
@Data
@ToString(callSuper = true)
public class GenerateRecordCreateReqVO  {

    @ApiModelProperty(value = "字符长度", required = true)
    @NotNull(message = "字符长度不能为空")
    @Max(32)
    @Min(18)
    private Integer charLength;

    @ApiModelProperty(value = "字符类型 0纯数字  1纯字母  2混合类型", required = true)
    @NotNull(message = "字符类型 0纯数字  1纯字母  2混合类型不能为空")
    private Integer charType;

    @ApiModelProperty(value = "数量", required = true)
    @NotNull(message = "数量不能为空")
    @Min(value = 1, message = "数量的取值范围为1~500")
    @Max(value = 500, message = "数量的取值范围为1~500")
    private Integer codeNum;

    @ApiModelProperty(value = "所属商户编码", required = true)
    @NotNull(message = "所属商户编码不能为空")
    private String businessId;

    @ApiModelProperty(value = "相关批次ID", required = true)
    @NotNull(message = "相关批次ID不能为空")
    private String batchId;

    @ApiModelProperty(value = "经销商编码", required = true)
    @NotNull(message = "经销商编码不能为空")
    private String dealerId;

}
