package cn.iocoder.yudao.module.identity.dal.dataobject.diversionstats;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 窜货统计 DO
 *
 * @author 芋道源码
 */
@TableName("identity_diversion_stats")
@KeySequence("identity_diversion_stats_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DiversionStatsDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 经销商编码
     */
    private String dealerId;
    /**
     * 经销商名称
     */
    private String dealerName;
    /**
     * 批次id
     */
    private String batchId;
    /**
     * 商品id
     */
    private String goodsId;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 窜货数
     */
    private Integer num;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
