package cn.iocoder.yudao.module.identity.dal.dataobject.generatebatch;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 码生成记录与批次关联记录 DO
 *
 * @author 芋道源码
 */
@TableName("identity_generate_batch")
@KeySequence("identity_generate_batch_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class GenerateBatchDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 码生成记录id
     */
    private String generateRecordId;
    /**
     * 相关批次ID
     */
    private String batchId;
    /**
     * 生成数量
     */
    private Integer num;
    /**
     * 类型： 0：采收批次
     */
    private Integer batchType;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
