package cn.iocoder.yudao.module.product.api.harvestbatch.dto;

import cn.iocoder.yudao.framework.common.util.date.DateUtils;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;


import java.math.BigDecimal;
import java.util.Date;

@Data
public class HarvestBatchDTO {

    /**
     * 编码
     */
    private Long id;

    /**
     * 采收批次id
     */
    private String harvestBatchId;

    /**
     * 入库单号
     */
    private String harvestId;

    /**
     * 入库日期
     */
    private Date harvestDate;

    /**
     * 商品名称
     */
    private String goodsName;

    /**
     * 商品id
     */
    private String goodsId;

    /**
     * 标品商品数量
     */
    private Integer goodsNum;

    /**
     * 批次上链区块id
     */
    private String blockChainId;

    /**
     * 批次上链区块唯一识别码
     */
    private String blockChainBlockIdentity;

    /**
     * 批次上链状态 0：未上链  1：激活状态  2：冻结状态
     */
    private Integer blockState;

    /**
     * 溯源模板名称
     */
    private String templateName;

    /**
     * 溯源模板id
     */
    private String templateId;

    /**
     * 采收批次说明
     */
    private String remarks;

    /**
     * 创建时间
     */
    @DateTimeFormat(pattern = DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date createTime;

    /**
     * 所属商户id
     */
    private Long belongBusinessId;

    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
