package cn.iocoder.yudao.module.product.controller.admin.envtype.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.hibernate.validator.constraints.Length;

import javax.validation.constraints.*;

@ApiModel("管理后台 - 环境类型创建 Request VO")
@Data
public class EnvTypeCreateReqVO {

    @ApiModelProperty(value = "环境类型名称")
    @Length(max = 60)
    private String envTypeName;

    @ApiModelProperty(value = "环境类型字段", required = true)
    @NotNull(message = "环境类型字段不能为空")
    @Length(max = 60)
    private String envFieldName;

    @ApiModelProperty(value = "单位", required = true)
    @NotNull(message = "单位")
    @Length(max = 20, message = "单位不能超过20个字符")
    private String unit;

    @ApiModelProperty(value = "备注")
    @Length(max = 255)
    private String remarks;
}
