package cn.iocoder.yudao.module.product.controller.admin.harvestbatch.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Length;

import javax.validation.Valid;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotEmpty;
import java.util.List;

@ApiModel("管理后台 - 区块证书保存（创建/更新） Request VO")
@Data
public class InspectionSaveReqVO {

    @ApiModelProperty(value = "ID")
    private Long id;

    @ApiModelProperty(value = "操作对象id：根据operate_type的值，存储不同关联表的id")
    private Long operateObjId;

    @ApiModelProperty(value = "上链操作专属ID")
    private String chainOperateId;

    @ApiModelProperty(value = "是否扫码展示")
    private Boolean scanShow;

    @ApiModelProperty(value = "环节名称")
    @Length(max = 255)
    private String linkName;

    @ApiModelProperty(value = "排序")
    @Min(value = 0)
    private Integer sort;

    @ApiModelProperty(value = "检验检疫具体信息")
    @NotEmpty(message = "检验检疫具体信息不能为空")
    @Valid
    private List<OperateDetailSaveReqVO> operateDetails;

    @ApiModelProperty(value = "检测项目")
    @Valid
    private List<BlockCertificateSaveReqVO> inspectionItems;

}
