package cn.iocoder.yudao.module.product.dal.dataobject.deviceinfo;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 设备信息 DO
 *
 * @author 芋道源码
 */
@TableName("product_device_info")
@KeySequence("product_device_info_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeviceInfoDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 网关类型： 1：必联  2：有人
     */
    private Integer gatewayType;
    /**
     * 设备类型： 1：控制器  2：传感器  3：监控
     */
    private Integer deviceType;
    /**
     * 传感器对应的环境类型，关联product_env_type表的ID
     */
    private Long envType;
    /**
     * 控制器字段
     */
    private String controllerField;
    /**
     * 监控器编码, 内部请求用
     */
    private String monitorCode;
    /**
     * 监控点名称
     */
    private String monitorPoints;
    /**
     * 是否启用
     */
    private Boolean enabled;
    /**
     * 开关是否开启
     */
    private Boolean switchOn;
    /**
     * 关闭指令（在网关类型为有人时读取该字段）
     */
    private String closeInstruction;
    /**
     * 开启指令（在网关类型为有人时读取该字段）
     */
    private String openInstruction;
    /**
     * 备注
     */
    private String remarks;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

    /**
     * 租户id
     */
    private Long tenantId;
}
