package cn.iocoder.yudao.module.product.dal.dataobject.deviceoperatelog;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 设备操作日志 DO
 *
 * @author 芋道源码
 */
@TableName("product_device_operate_log")
@KeySequence("product_device_operate_log_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DeviceOperateLogDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 设备信息ID
     */
    private Long deviceInfoId;
    /**
     * 设备名称
     */
    private String deviceName;
    /**
     * 地块/鱼塘/牧场编码
     */
    private String landId;
    /**
     * 操作明细
     */
    private String operateDetail;

}
