package cn.iocoder.yudao.module.product.dal.dataobject.harvestbatch;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 采收批次 DO
 *
 * @author 芋道源码
 */
@TableName("product_harvest_batch")
@KeySequence("product_harvest_batch_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HarvestBatchDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 采收批次id
     */
    private String harvestBatchId;
    /**
     * 入库单号
     */
    private String harvestId;
    /**
     * 入库日期
     */
    private Date harvestDate;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 商品id
     */
    private String goodsId;
    /**
     * 入库数量
     */
    private Integer goodsNum;
    /**
     * 批次上链区块id
     */
    private String blockChainId;
    /**
     * 批次上链区块唯一识别码
     */
    private String blockChainBlockIdentity;
    /**
     * 批次上链状态 0：未上链  1：激活状态  2：冻结状态
     */
    private Integer blockState;
    /**
     * 采收批次说明
     */
    private String remarks;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

    private Long tenantId;

}
