package cn.iocoder.yudao.module.product.dal.dataobject.harvestbatchconfig;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

/**
 * 采收批次小程序显示配置 DO
 *
 * @author 芋道源码
 */
@TableName("product_harvest_batch_config")
@KeySequence("product_harvest_batch_config_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class HarvestBatchConfigDO extends BaseDO {

    /**
     * ID
     */
    @TableId
    private Long id;
    /**
     * 采收批次ID
     */
    private String harvestBatchId;
    /**
     * 语言类型ID
     */
    private Long languageTypeId;
    /**
     * 模板ID
     */
    private Long templateId;

}
