package cn.iocoder.yudao.module.product.dal.dataobject.inspection;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 检验检疫 DO
 *
 * @author 芋道源码
 */
@TableName("product_inspection")
@KeySequence("product_inspection_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class InspectionDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 检验批次id
     */
    private String inspectionId;
    /**
     * 商品id
     */
    private String goodsId;
    /**
     * 商品名称
     */
    private String goodsName;
    /**
     * 入库批次id
     */
    private String harvestBatchId;
    /**
     * 入库时间
     */
    private Date harvestTime;
    /**
     * 执行标准
     */
    private String inspectionStandard;
    /**
     * 检验结果 0合格 1不合格
     */
    private Integer inspectionResult;
    /**
     * 自检检验项目
     */
    private String inspectionOwnItem;
    /**
     * 检验人
     */
    private String inspectionUser;
    /**
     * 委托检验项目
     */
    private String inspectionEntrustItem;
    /**
     * 检测机构
     */
    private String inspectionOrganization;
    /**
     * 检验日期
     */
    private Date inspectionDate;
    /**
     * 等级
     */
    private String inspectionLevel;
    /**
     * 签发日期
     */
    private Date issuanceDate;
    /**
     * 上链状态 0：未上链  1：激活状态  2：冻结状态
     */
    private Integer blockState;
    /**
     * 批次上链区块id
     */
    private String blockChainId;
    /**
     * 批次上链区块唯一识别码
     */
    private String blockChainBlockIdentity;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;
    /**
     * 检测图片
     */
    private String inspectionImgUrl;
    /**
     * 检测视频
     */
    private String inspectionVideoUrl;

}
