package cn.iocoder.yudao.module.product.dal.dataobject.inspectionitem;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 检验-检测项目 DO
 *
 * @author 芋道源码
 */
@TableName("product_inspection_item")
@KeySequence("product_inspection_item_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class InspectionItemDO extends BaseDO {

    /**
     * 编码
     */
    @TableId
    private Long id;
    /**
     * 检测批次id
     */
    private String inspectionId;
    /**
     * 检测项目id
     */
    private String inspectionItemId;
    /**
     * 检测项目
     */
    private String inspectionItem;
    /**
     * 单位
     */
    private String inspectionUnit;
    /**
     * 技术要求
     */
    private String inspectionRequire;
    /**
     * 检测结果
     */
    private String inspectionResult;
    /**
     * 单项结论
     */
    private String inspectionConclusion;
    /**
     * 所属商户id
     */
    private Long belongBusinessId;
    /**
     * 所属商户名称
     */
    private String belongBusinessName;

}
