package cn.iocoder.yudao.module.product.hik;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

@Data
@Component
@ConfigurationProperties(prefix = "hik")
public class HikProperties {

    /**
     * isc平台地址，用于api请求
     */
    private String host;

    /**
     * 取值:
     * http:// https://
     */
    private String httpSchema;

    /**
     * 流媒体密钥 appkey
     */
    private String appKey;

    /**
     * 流媒体密钥appSecret
     */
    private String appSecret;

    /**
     * OpenAPI接口的上下文
     */
    private String artemisPath;

    /**
     * 想要替换的原预览地址, 与previewTargetUrls一一对应
     */
    private List<String> previewOriginUrls = new ArrayList<>();

    /**
     * 想要替换的目标预览地址
     */
    private List<String> previewTargetUrls = new ArrayList<>();
}
