package cn.iocoder.yudao.module.product.service.deviceoperatelog;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.product.controller.admin.deviceoperatelog.vo.DeviceOperateLogCreateReqVO;
import cn.iocoder.yudao.module.product.controller.admin.deviceoperatelog.vo.DeviceOperateLogPageReqVO;
import cn.iocoder.yudao.module.product.dal.dataobject.deviceoperatelog.DeviceOperateLogDO;

import javax.validation.Valid;

/**
 * 设备操作日志 Service 接口
 *
 * @author 芋道源码
 */
public interface DeviceOperateLogService {

    /**
     * 创建设备操作日志
     *
     * @param createReqVO 创建信息
     * @return 编号
     */
    Long createDeviceOperateLog(@Valid DeviceOperateLogCreateReqVO createReqVO);

    /**
     * 删除设备操作日志
     *
     * @param id 编号
     */
    void deleteDeviceOperateLog(Long id);

    /**
     * 获得设备操作日志
     *
     * @param id 编号
     * @return 设备操作日志
     */
    DeviceOperateLogDO getDeviceOperateLog(Long id);

    /**
     * 获得设备操作日志分页
     *
     * @param pageReqVO 分页查询
     * @return 设备操作日志分页
     */
    PageResult<DeviceOperateLogDO> getDeviceOperateLogPage(DeviceOperateLogPageReqVO pageReqVO);

}
