package cn.iocoder.yudao.module.product.service.inspectionitem;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.product.controller.admin.inspectionitem.vo.InspectionItemPageReqVO;
import cn.iocoder.yudao.module.product.controller.admin.inspectionitem.vo.InspectionItemSaveReqVO;
import cn.iocoder.yudao.module.product.dal.dataobject.inspectionitem.InspectionItemDO;

import javax.validation.Valid;

/**
 * 检验-检测项目 Service 接口
 *
 * @author 芋道源码
 */
public interface InspectionItemService {

    /**
     * 更新检验-检测项目
     *
     * @param updateReqVO 更新信息
     */
    void updateInspectionItem(@Valid InspectionItemSaveReqVO updateReqVO);

    /**
     * 删除检验-检测项目
     *
     * @param id 编号
     */
    void deleteInspectionItem(Long id);

    /**
     * 获得检验-检测项目
     *
     * @param id 编号
     * @return 检验-检测项目
     */
    InspectionItemDO getInspectionItem(Long id);

    /**
     * 获得检验-检测项目分页
     *
     * @param pageReqVO 分页查询
     * @return 检验-检测项目分页
     */
    PageResult<InspectionItemDO> getInspectionItemPage(InspectionItemPageReqVO pageReqVO);

}
