package cn.iocoder.yudao.module.product.service.statistics;

import cn.iocoder.yudao.module.product.controller.admin.envdata.vo.EnvDataRespVO;
import cn.iocoder.yudao.module.product.controller.admin.statistics.vo.HarvestInfoDataRespVO;
import cn.iocoder.yudao.module.product.controller.admin.statistics.vo.TopDataRespVO;

import java.util.List;

/**
 * 统计数据 service 接口
 */
public interface StatisticsService {

    /**
     * 获得首页顶部统计数据
     * @return 首页顶部数据
     */
    TopDataRespVO getTopDataStatistics();

    /**
     * 获得首页采收的统计数据
     * @return 统计数据
     */
    HarvestInfoDataRespVO getHarvestInfoDataStatistics();

    /**
     * 获得首页环境数据
     * @return 环境数据
     */
    List<EnvDataRespVO> getAvgEnvDataStatistics();


}
