package cn.iocoder.yudao.module.system.api.languagetype;

import cn.hutool.core.bean.BeanUtil;
import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.module.system.api.languagetype.dto.LanguageTypeRespDTO;
import cn.iocoder.yudao.module.system.dal.dataobject.languagetype.LanguageTypeDO;
import cn.iocoder.yudao.module.system.service.languagetype.LanguageTypeService;
import org.apache.dubbo.config.annotation.DubboService;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

import static cn.iocoder.yudao.module.system.enums.ApiConstants.VERSION;

@RestController // 提供 RESTful API 接口，给 Feign 调用
@DubboService(version = VERSION) // 提供 Dubbo RPC 接口，给 Dubbo Consumer 调用
@Validated
public class LanguageTypeImpl implements LanguageTypeApi {

    @Resource
    private LanguageTypeService languageTypeService;

    @Override
    public CommonResult<List<LanguageTypeRespDTO>> getAllLanguageType() {
        List<LanguageTypeDO> list = languageTypeService.getAllLanguageTypeList();
        return CommonResult.success(BeanUtil.copyToList(list, LanguageTypeRespDTO.class));
    }

}
